Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1417361 - Loud disturbing tone and repeating tick heard on headphones since kernel 4.4
Summary: Loud disturbing tone and repeating tick heard on headphones since kernel 4.4
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 26
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-28 07:56 UTC by Arnaud Kleinveld
Modified: 2019-01-09 12:54 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-11 04:11:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Arnaud Kleinveld 2017-01-28 07:56:19 UTC
Description of problem: Using the headphones a loud disturbing tone and repeating tick is audible through the headphones since kernel 4.4. I have not been able to use the headphones since then.

Version-Release number of selected component (if applicable): kernel 4.4 upwards. Currently using 4.9.5-200


How reproducible: Plug in headphones


Steps to Reproduce:
1. Plug in headphones
2. Plug headphone earplugs into ears
3.

Actual results: Loud disturbing tone and repeating tick


Expected results: No sound at all


Additional info: Seems to be related to the change of HDA to I2S mode, see bug 1313434

Comment 1 Arnaud Kleinveld 2017-02-03 03:18:27 UTC
I discovered that when I do the following all audio related problems are fixed until next reboot or suspend.

1) Shutdown
2) Boot Ubuntu 16.10 from USB Drive
3) Review Audio output and input selection and select Broadwell output and input devices if not already 
4) Shutdown
5) Boot Fedora

Audio works fine. Input is detected, Headphones are working without disturbing noises and no loud tick is heard when booting Fedora.

After reboot or suspend, audio is completely gone. No input or output devices are detected.

Comment 2 Justin M. Forbes 2017-04-11 14:47:17 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 3 Arnaud Kleinveld 2017-04-12 04:03:05 UTC
The loud disturbing tone is gone. The sound has changed to repeating tick and white noise.

A dnf update currently only provide me with kernel 4.10.8-200. It doesn't offer me 4.10.9-200 yet.

Comment 4 Fedora End Of Life 2017-11-16 19:43:44 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Arnaud Kleinveld 2017-11-17 18:21:55 UTC
Now running Fedora 26 4.13.9 the Loud disturbing tone has disappeared and repeating tick seemed to have lowered in volume.

Comment 6 Laura Abbott 2018-02-28 03:50:37 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale. The kernel moves very fast so bugs may get fixed as part of a kernel update. Due to this, we are doing a mass bug update across all of the Fedora 26 kernel bugs.
 
Fedora 26 has now been rebased to 4.15.4-200.fc26.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 27, and are still experiencing this issue, please change the version to Fedora 27.
 
If you experience different issues, please open a new bug report for those.

Comment 7 Arnaud Kleinveld 2018-03-11 04:11:16 UTC
Works perfectly.

Many thanks for your contribution.

Best regards,
Arnaud Kleinveld


Note You need to log in before you can comment on or make changes to this bug.